#
# spec file for package SDL_image (Version 1.2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa alsa-devel audiofile esound esound-devel kdelibs-artsd libjpeg libpng libtiff xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         SDL_image
Summary:      Simple DirectMedia Layer - Sample Image Loading Library
Version:      1.2.0
Release:      164
Source0: %{name}-%{version}.tar.bz2
Copyright: LGPL
Group: System Environment/Libraries
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}

%description
This is a simple library to load images of various formats as SDL surfaces.
This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF formats.

Authors:
--------
    Sam Lantinga <slouken@devolution.com>

SuSE series: d

%package devel
Summary:      Libraries, includes and more to develop SDL_image applications
Group: Development/Libraries
Requires: %{name}

%description devel
This is a simple library to load images of various formats as SDL surfaces.
This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF formats.

Authors:
--------
    Sam Lantinga <slouken@devolution.com>

SuSE series: d

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup 

%build
%{?suse_update_config:%{suse_update_config -f }}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{prefix}/bin/showimage
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/lib/*a
%{prefix}/include/SDL/
%{prefix}/lib/lib*.so

%changelog -n SDL_image
* Wed Aug 08 2001 - uli@suse.de
- fixed neededforbuild wrt SDL renaming
* Wed Jun 20 2001 - nadvornik@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Thu Apr 12 2001 - nadvornik@suse.cz
- update to 1.2.0
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Mon Feb 19 2001 - uli@suse.de
- added alsa* to neededforbuild (needed by new SDL)
* Tue Dec 05 2000 - nadvornik@suse.cz
- added suse_update_config
* Tue Nov 28 2000 - nadvornik@suse.cz
- new package
